@import url('https://fonts.googleapis.com/css2?family=Baloo+Paaji+2:wght@400..800&family=Dancing+Script:wght@400..700&family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&family=Itim&family=K2D:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800&family=Noto+Sans+Linear+A&family=Noto+Sans+PhagsPa&family=Noto+Sans:ital,wght@0,100..900;1,100..900&family=Nunito:ital,wght@0,200..1000;1,200..1000&family=Open+Sans:ital,wght@0,300..800;1,300..800&family=Roboto+Mono:ital,wght@0,100..700;1,100..700&family=Sacramento&family=Satisfy&family=Tangerine:wght@400;700&family=Tsukimi+Rounded&family=Ubuntu:ital,wght@0,300;0,400;0,500;0,700;1,300;1,400;1,500;1,700&display=swap');
*{
    margin: 0;
    padding: 0;
}
.navbar_div *{
    box-sizing: border-box;
}
.navbar_div{
    /* height: clamp(60px); */
    height: 100px;
    width: 100%;
    /* border: 1px solid black; */
    background-color: #fafafa;
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}
.sec1_navbar{
    height: 50%;
    width: 100%;
    /* border: 1px solid red; */
    display: flex;
    align-items: center;
    justify-content: space-between;
}
.sub_sec1_navbar{
    height: 100%;
    width: 30%;
    /* border: 1px solid blue; */
    display: flex;
    align-items: center;
}
.sub_sec1_navbar a{
    display: block;
    height: 100%;
}
.sub_sec1_navbar img{
    height: 95%;
}
.fashhonametext{
    align-content: center;
    justify-content: center;
    text-align: center;
}
.fashhonametext span{
    font-family: "Satisfy", cursive;
    font-size: 20px;
    color: #DB8900;
    
}
.port1_sub_sec1_navbar{
    height: 100%;
    width: 80%;
    /* border: 1px solid green; */
    display: flex;
    align-items: center;
    justify-content: flex-end;
}
.port1_sub_sec1_navbar div{
    margin-left: 1.5vw;
}
.home_navitem{
    display: flex;
    align-items: center;
    /* border: 1px solid red; */
}
.home_navitem svg{
    height: 17px;
    color: #474747;
}
.wishlist_navitem{
    position: relative;
    display: flex;
    align-items: center;
}
.wishlist_navitem svg{
    height: 17px;
    color: #DB8900;
}
.wishlist_navitem span{
    position: absolute;
    top: 0;
    right: 0;
    display: block;
    height: 6px;
    width: 6px;
    border-radius: 50%;
    background-color: #d1045d;
    transform: translate(-1px,2px);
}
.cart_navitem{
    position: relative;
    display: flex;
    align-items: center;
}
.cart_navitem svg{
    height: 17px;
    color: #DB8900;
}
#totalnoofcartitem{
    position: absolute;
    top: 0;
    right: 0;
    height: 15px;
    width: 15px;
    border-radius: 50%;
    background-color: white;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 60%;
    font-weight: 600;
    font-family: "Inter", sans-serif;
    transform: translate(8px,-7px);
    color: #d1045d;
}
.port2_sub_sec1_navbar{
    height: 100%;
    width: 20%;
    /* border: 1px solid red; */
    display: flex;
    align-items: center;
    justify-content: flex-end;
    padding-right: 1vw;
}
.profileiconcircle{
    height: 25px;
    width: 25px;
    background-color: #D0D0D0;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    display: none;
}
.profileiconcircle svg{
    height: 60%;
}
.port2_sub_sec1_navbar a{
    font-size: clmap(8px,1vw,11px);
    text-decoration: none;
    color: #474747;
    display: inline;
    height: fit-content;
}

.hrline_gradient_navbar{
    height: 1px;
    width: 100%;
    background: linear-gradient(to right,#FFECCD 0%, #D8B781 25%, #C09246 50%, #D8B781 75%, #FFECCD 100%);
}
.sec2_navbar{
    height: 45%;
    width: 100%;
    /* border: 1px solid rebeccapurple; */
    display: flex;
    align-items: center;
    justify-content: center;
}
.sec2_navbar span{
    display: block;
    width: 60px;
    /* border: 1px solid red; */
    display: flex;
    align-items: center;
    justify-content: center;
    margin: 0 1vw;
}
.sec2_navbar a{
    text-decoration: none;
    font-family: "Inter", sans-serif;
    font-size: clamp(8px,1vw,11px);
    color: #474747;
}
.hrline_gradient_navbar:last-child{
    height: 1.4px;
}
.searchicon_navitem{
    /* border: 1px solid red; */
    display: flex;
    align-items: center;
    justify-content: center;
    /* height: 25px;
    width: 25px; */
    /* border-radius: 50%; */
    /* background-color: #D0D0D0; */
    position: relative;
}
.searchicon_navitem svg{
    height: 17px;
    margin-top: 3px;
    cursor: pointer;
}
.searchbar_navbar{
    position: absolute;
    height: 30px;
    width: 250px;
    /* border: 1px solid rgb(116, 116, 116); */
    right: 0;
    background-color: white;
    border-radius: 0.2vw;
    display: flex;
    align-items: center;
    overflow: hidden;
    display: none;
}
.searchbar_navbar input{
    height: 100%;
    width: 220px;
    box-sizing: border-box;
    padding: 0 1vw;
    outline: none;
    border: 1px solid rgb(161, 161, 161);
    font-family: "Inter", sans-serif;
    font-size: clamp(8px,1vw,11px);
    border-radius: 0.2vw 0 0 0.2vw;
}
.searchbar_navbar .icon_searchbar_navbar{
    height: 100%;
    width: 30px;
    box-sizing: border-box;
    display: flex;
    align-items: center;
    justify-content: center;
    /* border: 1px solid red; */
    margin-left: 0;
    background-color: #DB8900;
}
.searchbar_navbar .icon_searchbar_navbar svg{
    height: 20px;
    margin-top: 0;
    color: white;
}
.hamburgericon{
    height: 100%;
    width: 20%;
    display: flex;
    align-items: center;
    justify-content: flex-end;
    display: none;
}
.hamburgericon svg{
    height: 20px;
}


















.navbarformobile{
    position: absolute;
    top: 0;
    background-color: white;
    height: 100vh;
    width: 100%;
    display: flex;
    flex-direction: column;
    z-index: 15;
    display: none;
}

.sec1_navbarformobile{
    height:50px;
    width: 100%;
    /* border: 1px solid red; */
    display: flex;
    align-items: center;
    justify-content: space-between;
}
.sub_sec1_navbarformobile{
    height: 100%;
    width: 30%;
    /* border: 1px solid blue; */
    display: flex;
    align-items: center;
}
.sub_sec1_navbarformobile:last-child{
    display: flex;
    align-items: center;
    justify-content: flex-end;
}
.sub_sec1_navbarformobile img{
    height: 95%;
}
.fashhonametext{
    align-content: center;
    justify-content: center;
    text-align: center;
}
.fashhonametext span{
    font-family: "Satisfy", cursive;
    font-size: 20px;
    color: #DB8900;
    
}
.port1_sub_sec1_navbarformobile{
    height: 100%;
    width: 80%;
    /* border: 1px solid green; */
    display: flex;
    align-items: center;
    justify-content: flex-end;
}
.port1_sub_sec1_navbarformobile div{
    margin-left: 1.5vw;
}
.sub_sec1_navbarformobile .hamburgericon{
    transform: rotate(90deg);
}
.sec2_navbarformobile{
    height: 50%;
    width: 100%;
    /* border: 1px solid red; */
    box-sizing: border-box;
    padding: 4vw;
    padding-top: 10vw;
}
.sub_sec2_navbarformobile{
    height: 30px;
    width: 80%;
    /* border: 1px solid red; */
    display: flex;
    align-items: center;
    margin-bottom: 7px;
}

.sub_sec2_navbarformobile input{
    height: 100%;
    width: 80%;
    border: 1px solid gray;
    border-radius: 0.2vw 0 0 0.2vw;
    font-family: "Inter", sans-serif;
    font-size: clamp(8px,5vw,14px);
    padding: 0 2vw ;

}
.searchicon_mobilenavbar{
    height: 30px;
    width: 30px;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: #DB8900;
    border-radius: 0 0.2vw 0.2vw 0;
    border: 1px solid #DB8900;
}
.searchicon_mobilenavbar svg{
    height: 20px;
    color: white;
}
.sub_sec2_navbarformobile:first-child{
    margin-bottom: 20px;
}

.sub_sec2_navbarformobile a{
    display: flex;
    align-items: center;
    text-decoration: none;
    color: #474747;
    font-size: 12px;
}

.sub_sec2_navbarformobile a svg{
    height: 20px;
    margin-right: 15px;
}
.sub_sec2_navbarformobile .cart_navitem svg{
   margin-right: 0;  
}
.sub_sec2_navbarformobile .cart_navitem span{
    border: 1px solid rgb(160, 160, 160);
}
.sub_sec2_navbarformobile .cart_navitem{
    margin-right: 15px;
}

.sub_sec2_navbarformobile .wishlist_navitem svg{
    margin-right: 0;  
}
.sub_sec2_navbarformobile .wishlist_navitem {
    margin-right: 15px;
 
}
.sub_sec2_navbarformobile button{
    height: 28px;
    width: 60px;
    font-size: 12px;
    border: none;
    margin-right: 10px;
    border: 1px solid gray;
    border-radius: 0.5vw;
}
.buttondiv_navbarformobile{
    margin-top: 25px;
}

























@media screen and (max-width:500px) {
    .maincontainer::-webkit-scrollbar{
        display: none;
    }
    .port1_sub_sec1_navbar{
        display: none;
    }
    .port2_sub_sec1_navbar{
        display: none;
    }
    .rightsidediv_navbar{
        display: flex;
        align-items: center;
        justify-content: flex-end;
        padding-right: 1vw;
        box-sizing: border-box;
    }
    .hamburgericon{
        display: flex;
    }
    
}